Robot Simulator of the Robotics Group for Self-Organization of Control: CameraManipulatorRace Class Reference

# CameraManipulatorRace Class Reference

CameraManipulatorRace is a MatrixManipulator which provides Flying simulator-like updating of the camera position & orientation. More...

`#include <cameramanipulatorRace.h>`

Inherits lpzrobots::CameraManipulator.

Collaboration diagram for CameraManipulatorRace:
[legend]

List of all members.

## Public Member Functions
| CameraManipulatorRace (osg::Node *node, GlobalData &global, CameraHandle &cameraHandle)
virtual const char * | className () const
| returns the classname of the manipulator it's NECCESSARY to define this funtion, otherwise the new manipulator WON'T WORK! (but ask me not why)
## Protected Member Functions
virtual | ~CameraManipulatorRace ()
virtual void | calcMovementByAgent ()
| This handles robot movements, so that the camera movemenent is right affected.

## Detailed Description

CameraManipulatorRace is a MatrixManipulator which provides Flying simulator-like updating of the camera position & orientation.

Left mouse button: Pan and tilt Right mouse button: forward and sideways Middle mouse button: up and sideways

## Constructor & Destructor Documentation

CameraManipulatorRace | ( | osg::Node * | node,
|  | GlobalData & | global,
|  | CameraHandle & | cameraHandle |
| ) |  |  |

~CameraManipulatorRace | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void calcMovementByAgent | ( |  | ) | `[protected, virtual]`

This handles robot movements, so that the camera movemenent is right affected.

should be overwritten by new cameramanipulator

Reimplemented from CameraManipulator.

virtual const char* className | ( |  | ) | const`[inline, virtual]`

returns the classname of the manipulator it's NECCESSARY to define this funtion, otherwise the new manipulator WON'T WORK! (but ask me not why)

Reimplemented from CameraManipulator.

The documentation for this class was generated from the following files:

- cameramanipulatorRace.h
- cameramanipulatorRace.cpp